== Changelog ==

= 0.14.1 - 2026-02-12 =
* Update - Admin menu reorganization with grouped CPT structure
* Add - League and venue support in SL Selector
* Update - Shortcode Builder with collapsible sections and modern field layout
* Add - Live preview panel in Shortcode Builder with width toggle
* Add - Parse existing shortcode to populate form fields
* Fix - Import tool dropdown fields not mapped correctly when pasting from spreadsheets

= 0.14.0 - 2025-11-12 =
* Add - Roster shortcode
* Update - SL Selector
* Update - Game Edit - custom numbers are automatically filled on adding a player to the lineups (if squad number is set)
* Update - Game Edit - player statistics interface and usability
* Update - Accessibility throughout the plugin
* Update - Data Import Tool functionality and reliability
* Update - Minor improvements in styles and scripts

= 0.13.8 - 2025-04-25 =
* Add - Option to enable post type archives (Sports Settings > Display)
* Fix - Error on non-numeric value in Game Player stats

= 0.13.7 - 2025-03-27 =
* Update - Game Player Stats - added total row in the footer and removed zero values for the better readability
* Fix - Import Tool errors

= 0.13.6 - 2024-11-27 =
* Update - Minor CSS style improvements on mobile devices
* Add - Circle flags (can be changed in Customizer > Sports Leagues > General)
* Add - Continents' names to the countries (useful for sports federations or international cups)
* Update - Minor UI improvements and fixes

= 0.13.5 - 2024-11-08 =
* Add - Link to the player profile in Game > Players (Customizer - Sports Leagues - Game - Link To Player Profile)
* Fix - Minor improvements

= 0.13.4 - 2024-09-18 =
* Update - Minor UI fixes
* Fix - Security fixes

= 0.13.3 - 2024-05-20 =
* Fix - Error on saving temporary player in the game

= 0.13.2 - 2024-05-11 =
* Fix - Shortcode Players Stats: hide zero results
* Fix - Minor fixes

= 0.13.1 - 2024-04-15 =
* Update - Minor improvements in migrator introduced in v0.13.0

= 0.13.0 - 2024-04-08 =
* Add - Option to display different formats of player's date of birth
* Update - Increased the minimal version to PHP 7.0

= 0.12.7 - 2023-10-23 =
* Fix - Team Player Statistics layout data with Roster groups

= 0.12.6 - 2023-10-20 =
* Add - Admin Game list: new filters (stage ID, tournament ID, game day)
* Fix - Minor fixes in layouts

= 0.12.5 - 2023-09-11 =
* Add - New Gutenberg Block: Games (based on Games shortcode)
* Add - New Gutenberg Block: Players Stats (based on Players Stats shortcode)
* Add - American Football recommended settings and some specific event icons
* Fix - Show Totals row in the player "Total Stats" section
* Add - Player Statistics: possibility to assign one position to several stat groups
* Add - Player Statistics - Season Stats: min/max options

= 0.12.4 - 2023-08-03 =
* Fix - New game is not possible to create if the Rank Math SEO plugin is active
* Fix - Season data rendering problem in some cases when the "Hide not used seasons" option is active
* Update - Standing admin UI
* Add - Custom colors in the Standing table (before only predefined)
* Add - New argument in Players Stats shortcode: "show_full" (0/1) to show full list in modal
* Add - New Gutenberg Block: Game Countdown
* Add - New Gutenberg Block: Tournament Header (based on Tournament Header shortcode)
* Add - New Gutenberg Block: Next Game (based on Next Game classic widget)
* Add - New Gutenberg Block: Last Game (based on Last Game classic widget)
* Add - New Gutenberg Block: Teams
* Add - New quick action to clone existing Tournament with all inner Stages

= 0.12.3 - 2023-07-02 =
* Update - %kickoff% in "Game title generation rules" will use plugin date format (if set in Settings >> Display >> Custom Game Date format)
* Update - Minor style fixes

= 0.12.2 - 2023-06-20 =
* Update - Import Data Tool
* Add - New Socials on player and team pages
* Add - Standing Settings - tool to store default Ranking Rules and Columns Visibility (will be applied to a new Standing)
* Add - Option in Game Configurator to hide in the Game Edit: Points, Bonus Points, Penalty Shootout, Overtimes

= 0.12.1 - 2023-05-29 =
* Add - Subteams basic functionality
* Add - Season dropdown switcher in the Tournament header (can be disabled in Customizer)
* Add - "load more" argument in Games shortcode
* Add - Option in Customizer to show only Stage Standings in Tournament

= 0.12.0 - 2023-05-07 =
* Update - Admin Tournament UI
* Add - Stat Groups in Player Statistics
* Update - Admin Player Statistics UI
* Update - Minor admin UI fixes and improvements
* Update - Loading of some plugin's JS scripts
* Add - Option in Customizer to load stadium map after user approval
* Update - Tournament Layout (new tab style, Latest + Upcoming games with Load More button)
* Remove - Tournament Breadcrumbs (replaced with tabs)
* Update - Flipped Countdown to a Simple Countdown

= 0.11.0 - 2023-02-20 =
* Fix - Saving Standing Table columns in Sport Configurator
* Add - New Dashboard in the admin part (see screenshot)
* Add - Option to hide not used seasons in the season dropdown
* Update - Most of the plugin display settings had been moved to the Customizer
* Add - Special integration with SiteOrigin CSS for easy customizing (see the tutorial below)
* Add - Possibility to change some general plugin colors in Customizer
* Update - Minor CSS styles improvements
* Add - Limit option in Next and Last Game widget

= 0.10.3 - 2022-08-17 =
* Fix - Game Edit - scores by a period
* Add - Game Edit - sort by game order
* Add - Data Import tool - import venues, staff, and officials

= 0.10.2 - 2022-06-09 =
* Add - Possibility to add Player, Official, and Coach to the Game as text strings without creating its profiles in the site database
* Add - Official's and Staff's upcoming and finished games
* Fix - Birthday Widget - staff photo is not rendering
* Add - New Player's fields: Full Name, National Team, Date of Death
* Update - Data Import Tool: Players (more fields, Player ID & Player External ID) and Teams

= 0.10.1 - 2021-12-08 =
* Update - Plugin's caching system

= 0.10.0 - 2021-11-30 =
* Update - Performance (added a caching system for some complex queries)
* Update - Admin Sport Configurator page
* Update - Admin Game edit page
* Update - Admin Team edit page
* Update - Minor improvements and fixes

= 0.9.6 - 2021-06-10 =
* Update - Admin team roster UI

= 0.9.5 - 2021-04-17 =
* Add - Player Total Stats section
* Add - Option to show period scores as table (Sports Settings >> Display >> Period Scores)
* Add - Option to show team series in game header (Sports Settings >> Display >> Team Series in game header)
* Add - Support for "time" and "calculated" statistics in "Player Stats" shortcode and widget
* Add - "filter by player position" argument in "Player Stats" shortcode and widget
* Update - Minor style and bug fixes

= 0.9.4 - 2021-03-21 =
* Fix - Gameday ordering in Games shortcode
* Update - Minor style improvements and fixes

= 0.9.3 - 2021-02-15 =
* Update - Minor style improvements and fixes
* Add - Link to the Game in Player Stats block (Sports Settings >> Display >> Player & Staff)
* Add - "Played Games" block at the player's page

= 0.9.2 - 2021-01-17 =
* Update - Minor style improvements and fixes
* Update - Game edit - Venue selector (search and a possibility to set default team venue)
* Add - "outcome_id" option in "Games" shortcode to show outcome label

= 0.9.1 - 2021-01-10 =
* Update - Game Event Configurator
* Update - CSS styles - added prefixes to grid classes to prevent conflicts with some themes
* Add - YouTube default player. Now you can select which video player to use (see screenshot)
* Add - Player social pages
* Add - Game Sidelines (Missing Players)
* Add - Teams Widget - "include_ids" option
* Fix - Teams Shortcode and Widget - show team name when abbreviation is not set
* Add - Game - new Special Status field with 2 options: "Match Postponed" and "Time To Be Defined"

= 0.9.0 - 2020-12-17 =
* Update - Compatibility improvements with WordPress 5.6
* Add - Player - country option in Place of Birth
* Add - Standing - clone action
* Add - AnWP Selector - used in Widgets to select players and clubs
* Fix - Rendering game metabox when using both Football Leagues and Sports Leagues plugins

= 0.8.1 - 2020-08-15 =
* Fix - Saving game's "Player Stats"
* Update - Minor style fixes for better compatibility with WP 5.5

= 0.8.0 - 2020-05-18 =
* Add - "partial" option in "Standing Table" shortcode and widget to show partial table data
* Update - Game edit admin UI
* Update - Number of overtimes is now dynamic
* Update - Minor improvements and style fixes

= 0.7.2 - 2020-03-28 =
* Add - RTL support in the admin part
* Add - Widget "Game Video"
* Add - "include_ids" option in Tournament List shortcode
* Add - "include_ids" option in Teams shortcode
* Update - Teams shortcode (use abbreviation instead of a full team name, added text truncate on custom size, added tooltip with a full team name)
* Update - Empty roster groups are not rendered

= 0.7.1 - 2020-03-22 =
* Add - Breadcrumbs in Tournament and option in Settings to enable/disable
* Fix - "status" option incorrect work in Tournament List shortcode
* Fix - Rendering non-Latin characters in round and group titles
* Fix - Minor style fixes and improvements
* Add - Premium version released

= 0.7.0 - 2020-03-07 =
* Add - RTL support
* Add - Players Stats widget and shortcode
* Add - Birthdays widget
* Add - Teams option in Venue
* Add - Additional videos and photo gallery in Game (Game Extra Data >> Media Tab)
* Add - Photo gallery in Team and Player
* Add - Possibility to enter not only numeric player number
* Add - "exclude Game IDs" option in the Last and Next Game widget
* Add - Additional options in Games shortcode - "days_offset_to", "exclude ids", "include ids"
* Fix - Incorrect game time calculation if server timezone option is not "UTC"
* Update - Admin UI, many minor fixes and style improvements

= 0.6.5 - 2019-12-09 =
* Update - Fixed admin styles in WP 5.3
* Add - Improved teams selector in Tournament

= 0.6.4 - 2019-10-21 =
* Add - Game title generation rules
* Add - Setup Helper
* Update - Player roster status rendering
* Update - Recommended settings in Sport Configurator
* Update - Quick Start guide

= 0.6.3 - 2019-10-07 =
* Add - "group_id" and "round_id" parameter in Games shortcode
* Add - Last Game widget
* Add - Team Social links
* Update - Next Game widget

= 0.6.2 - 2019-09-30 =
* Fix - Duplicate content on Divi themes
* Update - Logic of the upcoming game countdown
* Update - Minor fixes

= 0.6.1 - 2019-09-09 =
* Add - Season players statistics configurator
* Add - Game played option in the game player stats
* Add - Team season players statistics block
* Add - Standing table notes placeholders
* Fix - Remove player stats on game delete
* Fix - Minor player stats improvements

= 0.6.0 - 2019-09-04 =
* Add - Configurator for player game statistics
* Add - Players statistics block in Game
* Add - Player stats block in Player
* Update - Admin UI in the team roster (show player current team, scroll page on drag to the top)

= 0.5.17 - 2019-07-27 =
* Add - Search at "Text Options" page
* Add - Tournament "subtitle", "date from" and "date to" fields
* Add - Shortcode "Tournament List"

= 0.5.16 - 2019-06-30 =
* Add - Introduced Premium add-on
* Fix - Saving empty Event data

= 0.5.15 - 2019-06-24 =
* Add - Game Events
* Fix - Select2 dropdown in shortcode modal not visible (style conflict with Redux Framework)
* Fix - Zero handling in game team stats

= 0.5.14 - 2019-06-05 =
* Add - Staff persons
* Add - Text Options (ability to override most of the frontend text strings from the plugin admin)
* Fix - Minor improvements

= 0.5.13 - 2019-05-25 =
* Add - Official persons (referees, delegates, linesmen, etc.)
* Fix - Error on calculating Score For/Against in Standing table
* Fix - Non-unique items in Teams shortcode
* Fix - Minor bug fixes, style and performance improvements

= 0.5.12 - 2019-05-18 =
* Add - "Latest Games" block at Game page
* Add - "show in full screen" link for Standing table (+ option to hide this link in Settings)
* Add - Team series in Standing table (+ option to hide in Settings)
* Add - Option "Team Series (letter)"
* Fix - Minor bugs and styles issues

= 0.5.11 - 2019-05-08 =
* Add - Shortcode UI helper for Classic editor
* Add - Shortcode builder (Sports Leagues >> Shortcodes >> Shortcode Builder tab)
* Add - Shortcode documentation How To's
* Add - Options to override permalink base slugs

= 0.5.10 - 2019-04-30 =
* Add - Grid Roster layout (Settings >> Display >> Team)
* Add - Option to show full team name or abbreviation in the Standing widget
* Fix - Saving non-numeric game scores

= 0.5.9 - 2019-04-26 =
* Add - Games widget
* Update - Tournament admin list UI
* Update - Widget fields and UI
* Update - Minor style fixes

= 0.5.8 - 2019-04-22 =
* Add - Recommended settings for rugby, basketball and ice hockey
* Add - Finished and upcoming games on Venue page
* Add - Show player position option (Settings >> Display)
* Add - Colorize Team Header option (Settings >> Display)
* Add - Links to online documentation and support forum

= 0.5.7 - 2019-04-20 =
* Add - Notice when outcome or final score is not set for finished game
* Fix - Rendering not integer game scores
* Update - Minor bug fixes and styles improvements

= 0.5.6 - 2019-04-16 =
* Add - Teams widget
* Add - Next Game widget
* Add - Period scores in game header
* Update - Game list mobile layout
* Update - Minor bug fixes and styles improvements

= 0.5.5 - 2019-04-15 =
* Add - Upcoming and latest games blocks at Team page
* Update - Season selector improvements
* Add - Games shortcode
* Add - Matches shortcode
* Add - Tournament header shortcode
* Add - Teams shortcode
* Add - Standing shortcode
* Add - Shortcodes documentation page at the admin menu
* Add - Tournament permalink in the game header
* Add - Date filter in game admin list
* Fix - Goals calculation in Standing table

= 0.5.4 - 2019-04-13 =
* Update - Hide game blocks (players, stats) with empty data
* Fix - Tournament sorting order
* Add - Option to hide post title and improved existing functionality
* Add - Handball recommended settings (in Sport Configurator)
* Fix - Tournament slug creation (page not found error)
* Update - Minor style and bug fixes

= 0.5.3 - 2019-04-05 =
* Update - Improvements at edit Standing Page
* Add - Team main color option
* Add - Players list game section
* Add - Game team stats
* Update - Game slim layout
* Update - Tournament header block
* Add - Option to switch to alternative theme layout
* Add - Link to recalculate index tables
* Add - Layout for twentysixteen theme
* Update - Minor fixes and style improvements

= 0.5.2 - 2019-04-02 =
* Add - Initial public release
